<template>
  <div class="success page">
      <div class="page-wrapper">
        <img :src="this.$logoimg" width="110"/>
        <div class="space-lg"/>
        <img :src="img_tick" width="96"/>
        <div class="space-lg"/>
        <h1 class='font-size-heading'>登记已完成</h1>
      </div>
  </div>
</template>

<script>
export default {
  name: 'Success',
  data () {
    return {
      img_tick: require('../../assets/tick.png'),
      timeoutfn: function(){}
    }
  },
  beforeDestroy: function(){
    clearTimeout(this.timeoutfn)
  },
  methods:{
    redirection: function(){
      var vm = this;
      vm.timeoutfn = setTimeout(function(){
        vm.$router.push({ path: '/' })
      },3000)
    },
  },
  mounted: function(){
    this.redirection();
  }
}
</script>

<style scoped></style>
